﻿using Android.App;
using Android.OS;
using Android.Support.V7.App;
using Android.Runtime;
using Android.Widget;
using System.Collections.Generic;
using Android.Content;

namespace MyMovieApp
{
    [Activity(Label = "@string/app_name", Theme = "@style/AppTheme", MainLauncher = true)]
    public class MainActivity : AppCompatActivity
    {
        private List<MovieModel> movies = new List<MovieModel>();
        private ListView listView;
        private MovieAdapter movieAdapter;
        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);
            // Set our view from the "main" layout resource
            SetContentView(Resource.Layout.activity_main);

            listView = FindViewById<ListView>(Resource.Id.listview);

            movies.Add( new MovieModel(01, "The Godfather", "1972" ));
            movies.Add(new MovieModel(02, "The Shawshank Redemption", "1994"));
            movies.Add(new MovieModel(03, "Schindler's List", "1993"));



            movieAdapter = new MovieAdapter(this,movies);
            listView.Adapter = movieAdapter;
            listView.ItemClick += ListView_ItemClick;


        }

        private void ListView_ItemClick(object sender, AdapterView.ItemClickEventArgs e)
        {
            MovieModel movie = movies[e.Position];

            Toast.MakeText(this,"Id =" + movie.ID+" name: " + movie.mMovieName,ToastLength.Long).Show();
            Intent intent = new Intent(this,typeof(MovieDetailActivity));
            intent.PutExtra("ID",movie.ID);
            intent.PutExtra("movieName", movie.mMovieName);
            StartActivity(intent);
            
        }
    }
}