﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;

namespace MyMovieApp
{
    public class MovieAdapter : BaseAdapter<MovieModel>
    {

        private Context context;
        private List<MovieModel> movies;

        public MovieAdapter(Context context, List<MovieModel> movies)
        {
            this.context = context;
            this.movies = movies;
        }

        public override MovieModel this[int position] {
            get { return movies[position];  }
        }

        public override int Count {
            get { return movies.Count; }
        }

        public override long GetItemId(int position)
        {
            return position;
        }

        public override View GetView(int position, View convertView, ViewGroup parent)
        {
            View view = convertView; // re-use an existing view, if one is available
            MyViewHolder holder;


            if (view != null)
            {
                holder = view.Tag as MyViewHolder;
            }
            else
            { // otherwise create a new one
                holder = new MyViewHolder();

                LayoutInflater inflater = (LayoutInflater)context.GetSystemService(Context.LayoutInflaterService);
                view = inflater.Inflate(Android.Resource.Layout.SimpleListItem1, null);

                holder.movieNameTV = view.FindViewById<TextView>(Android.Resource.Id.Text1);
                view.Tag = holder;
            }

            holder.movieNameTV.Text = movies[position].mMovieName;

            return view;
        }

        protected class MyViewHolder : Java.Lang.Object
        {
            public TextView movieNameTV { get; set; }
        }
    }
}